# Get a contact

{% openapi src="<https://global--openapi-specs--637323691990--use1.s3.us-east-1.amazonaws.com/joined-specs/openapi.yml>" path="/workspaces/{workspaceId}/contacts/{contactId}" method="get" %}
<https://global--openapi-specs--637323691990--use1.s3.us-east-1.amazonaws.com/joined-specs/openapi.yml>
{% endopenapi %}

## Examples

Let's establish some of our data that will be used in the following examples:

* **Workspace ID**: a1405560-c8d3-4b1a-877d-3f449ad95352
* **AccessKey:** abcd
* **Contact ID**: 12bd0e40-9361-4e32-8b26-99b4ab7eae09

### Get a contact without specifying attributes

In this example, we're fetching the contact without specifying the attributes. To know more about attributes, please refer to [this documentation](https://docs.bird.com/api/contacts-api/api-reference/manage-contact-attribute-definition).

{% tabs %}
{% tab title="Request" %}

```bash
curl -X GET "https://api.bird.com/workspaces/7d73f762-e08f-4e1f-a6fd-4d69d8cf119f/contacts/12bd0e40-9361-4e32-8b26-99b4ab7eae09" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcde" \
```

{% endtab %}

{% tab title="Response (200 OK)" %}

```json
{
  "id": "12bd0e40-9361-4e32-8b26-99b4ab7eae09",
  "computedDisplayName": "John",
  "featuredIdentifiers": [
    {
      "key": "emailaddress",
      "value": "contacts@bird.com"
    }
  ],
  "identifierCount": 1,
  "attributes": {
    "emailaddress": [
      "contacts@bird.com"
    ],
    "firstName": "John",
    "initialReference": "32d6f4f9-7e9c-4271-bd83-9d6976808f2f",
    "lastName": "Doe",
    "timezone": "America/Sao_Paulo"
  },
  "listIds": [
    "12bd0e40-9361-4e32-8b26-99b4ab7eae09"
  ],
  "createdAt": "2024-11-26T15:00:00.000Z",
  "updatedAt": "2024-11-26T15:00:00.000Z"
}
```

{% endtab %}
{% endtabs %}

### Get a contact specifying attributes

In this example, we are fetching the contact specifying the attributes. To know more about attributes, please refer to [this documentation](https://docs.bird.com/api/contacts-api/api-reference/manage-contact-attribute-definition).

{% tabs %}
{% tab title="Request" %}

```bash
curl -X GET "https://api.bird.com/workspaces/7d73f762-e08f-4e1f-a6fd-4d69d8cf119f/contacts/12bd0e40-9361-4e32-8b26-99b4ab7eae09?attribute=countryCode" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcde" \
```

{% endtab %}

{% tab title="Response (200 OK)" %}

```json
{
  "id": "12bd0e40-9361-4e32-8b26-99b4ab7eae09",
  "computedDisplayName": "John",
  "featuredIdentifiers": [
    {
      "key": "emailaddress",
      "value": "contacts@bird.com"
    }
  ],
  "identifierCount": 1,
  "attributes": {
    "emailaddress": [
      "contacts@bird.com"
    ],
    "firstName": "John",
    "initialReference": "32d6f4f9-7e9c-4271-bd83-9d6976808f2f",
    "lastName": "Doe",
    "timezone": "America/Sao_Paulo",
    "countryCode": null
  },
  "listIds": [
    "12bd0e40-9361-4e32-8b26-99b4ab7eae09"
  ],
  "createdAt": "2024-11-26T15:00:00.000Z",
  "updatedAt": "2024-11-26T15:00:00.000Z"
}
```

{% endtab %}
{% endtabs %}
